# CrossConnectTelemetry

Cross connect telemetry service endpoints

## GET /v3/telemetry/crossConnect/{crossConnectId}/usage/{uplinkId}/raw

> Get the data usage for a uplinkId in a cross connect, by default, past 24 hours

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"CrossConnectTelemetry","description":"Cross connect telemetry service endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"TrafficUsage":{"type":"object","required":["unit","data"],"properties":{"unit":{"type":"string","format":"","description":"Unit of data frequency,  possible interval options are as follows\n- day","readOnly":true},"data":{"type":"array","items":{"$ref":"#/components/schemas/TrafficUsageData"},"description":"Contains the data object for the usage","readOnly":true}},"additionalProperties":false},"TrafficUsageData":{"type":"object","required":["timestamp","ingress","egress","sum"],"properties":{"timestamp":{"type":"integer","format":"integer","description":"The corresponding date","readOnly":true},"ingress":{"type":"string","format":"","description":"The incoming data usage in bytes","readOnly":true},"egress":{"type":"string","format":"","description":"The outgoing data usage in bytes","readOnly":true},"sum":{"type":"string","format":"","description":"The total used data in bytes","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/telemetry/crossConnect/{crossConnectId}/usage/{uplinkId}/raw":{"get":{"tags":["CrossConnectTelemetry"],"summary":"Get the data usage for a uplinkId in a cross connect, by default, past 24 hours","operationId":"getTelemetryCrossConnectUsageRaw","parameters":[{"name":"crossConnectId","in":"path","description":"The Id of the cross connect","required":true,"schema":{"type":"integer"}},{"name":"uplinkId","in":"path","description":"The Id of the uplink","required":true,"schema":{"type":"integer"}},{"name":"startTime","in":"query","description":"Start unix timestamp","schema":{"type":"integer"}},{"name":"endTime","in":"query","description":"End unix timestamp","schema":{"type":"integer"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TrafficUsage"}}}}},"403":{"description":"Invalid credentials"},"422":{"description":"unprocessable entity"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.i3d.net/api-references/general/crossconnecttelemetry.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
